Package com.logicaldoc.core.metadata.initialization

# Class Initializer

java.lang.Object
com.logicaldoc.core.metadata.initialization.Initializer

Direct Known Subclasses:
  `DocumentInitializer`, `FolderInitializer`

public class Initializer extends Object
An Initializer performs the checks on a generic `ExtensibleObject`

Since:
  8.8.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`Initializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(ExtensibleObject object, Template template, History transaction)`
Initializes an object instance taking the initialization logic from a given template

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Initializer

public Initializer()

## Method Details

### initialize

public void initialize(ExtensibleObject object, Template template, History transaction)
Initializes an object instance taking the initialization logic from a given template

Parameters:
  `object` - the instance to initialize.
  `template` - the template that contains the initialization logic
  `transaction` - the current transaction